Subject: Re: [PATCH] dma: add new dma_mapping_ops API sync_page

From: Scott Wood <[email-masked]>
Date: Mon, 06 Oct 2008 11:30:04 -0500

Remi Machet wrote:
> After continuing to work on the dma noncoherent code I realized that
> sync_page is not the best choice of API: 
> -The API should preferably take a dma_addr_t in my opinion

A virtual address will typically be needed to perform the flush; why 
pass the bus address?

-Scott